﻿Imports ThinkGeo.MapSuite.Core
Imports System.Collections.ObjectModel
Public Class Form1
   Private moSqlLayer As MsSql2008FeatureLayer
   Private Sub btnConnect_Click(sender As Object, e As System.EventArgs) Handles btnConnect.Click
      Dim oBuilder As New System.Data.SqlClient.SqlConnectionStringBuilder

      If txtServer.Text = String.Empty Then
         Return
      Else
         oBuilder.DataSource = txtServer.Text
      End If
      If txtDatabase.Text = String.Empty Then
         Return
      Else
         oBuilder.InitialCatalog = txtDatabase.Text
      End If

      If txtSpatialView.Text = String.Empty Then
         Return
      End If

      If txtUserName.Text = String.Empty Then
         oBuilder.IntegratedSecurity = True
      Else
         oBuilder.UserID = txtUserName.Text
         If txtPassword.Text = String.Empty Then
            Return
         Else
            oBuilder.Password = txtPassword.Text
         End If
      End If

      If txtColumnName.Text = String.Empty Then
         Return
      End If
      Try
         moSqlLayer = New MsSql2008FeatureLayer(oBuilder.ConnectionString, txtSpatialView.Text, txtColumnName.Text)
         moSqlLayer.Open()
         MessageBox.Show("Layer successfully opened!")
      Catch ex As Exception
         Dim sMsg As String = "Exception Thrown:" & vbCrLf & ex.ToString
         MessageBox.Show(sMsg, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
      End Try

   End Sub

   Private Sub btnGetColumns_Click(sender As Object, e As System.EventArgs) Handles btnGetColumns.Click
      Dim oCols As Collection(Of FeatureSourceColumn) = Nothing
      Try
         oCols = moSqlLayer.FeatureSource.GetColumns
      Catch ex As Exception
         Dim sMsg As String = "Woops! Exception Thrown:" & vbCrLf & ex.ToString
         MessageBox.Show(sMsg, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
         Return
      End Try


      lstColumns.Items.Clear()

      For Each oCol In oCols
         lstColumns.Items.Add(oCol.ColumnName)
      Next oCol

   End Sub
End Class
